/*
 * AST.cpp
 *
 *  Created on: Nov 4, 2012
 *      Author: attero
 */
#include "AST.h"
#include "AllTypesOfASTNodes.h"

AST::AST() {
	root = new ProgramNode();
	current_node = root;
	number_of_nodes = 1;
	level_of_depth = 0;
}

void AST::delete_all_children()
{
	delete root;
	root = NULL;
}

AST::~AST() {
}

